#ifndef MAIN_H_
#define MAIN_H_


#include <stdint.h>
#include "stdio.h"
#include "stdlib.h"
#include "inc/lm4f120h5qr.h"
/*

#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "inc/hw_ints.h"
#include "driverlib/gpio.h"
#include "driverlib/pin_map.h"
#include "driverlib/ssi.h"
#include "driverlib/interrupt.h"
#include "driverlib/timer.h"
#include "driverlib/systick.h"
#include "driverlib/sysctl.h"
#include "driverlib/rom.h"
#include "inc/hw_i2c.h"
#include "driverlib/i2c.h"
#include "API_i2c.h"
#include "utils/uartstdio.h"

*/






#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "driverlib/debug.h"
#include "driverlib/fpu.h"
#include "driverlib/gpio.h"
#include "driverlib/pin_map.h"
#include "driverlib/rom.h"
#include "driverlib/sysctl.h"
#include "utils/uartstdio.h"
#include "inc/hw_i2c.h"
#include "driverlib/i2c.h"
#include "API_i2c.h"

//#include "fonts.h"


#define SLAVE_ADDRESS 0x68

//bei 80Mhz CPU Takt
unsigned long ms, us;
#define delay_ms(x)		  	ROM_SysCtlDelay(x*(ms=ROM_SysCtlClockGet()/3000))
#define delay_us(x)		  	ROM_SysCtlDelay(x*((ms=ROM_SysCtlClockGet()/3000)/1000))

void set_rtc_hand(void);
void lesen_rtc(void);
char rtc_bcd_to_hex(char v);// rtc_bcd_to_hex: wandelt BCD zu HEX Zahl um
char rtc_hex_to_bcd(char v);// rtc_hex_to_bcd: wandelt HEX zu BCD Zahl um
void ausgabe_display_start(void);




// RTC DS3234
typedef struct { 			//  -------- Struktur ----------- fr globale Daten
	char write_buffer[20];
	char buffer[10];
	uint8_t sekunde;		// sek
	uint8_t minute;			// min
	uint8_t stunde;			// std
	uint8_t monat;			// monat
	uint8_t tag	;			// tag
	uint8_t w_tag;			// w_tag
	uint8_t jahr;			// jahr
	uint8_t sekunde_al1;	// sekunden	Al1
	uint8_t minute_al1;		// minuten	Al1
	uint8_t stunde_al1;		// stunden	Al1
	uint8_t tag_al1;		// tag		Al1
	uint8_t minute_al2;		// minuten	Al2
	uint8_t stunde_al2;		// stunden	Al2
	uint8_t tag_al2;		// tag		Al2
	uint16_t temp_l;		// low
	uint16_t temp_h;		// high
	uint8_t nullgrad;		// msb bit7
	uint8_t offset;			// wird nicht bentigt
	uint8_t control_status; // Alarmabfrage ob A1F-Flag oder A2F-Flag high (1) ist
	uint8_t control;		// wird nicht bentigt, aber die Reihenfolge der Register wird einhalten
	uint8_t rise_al1_min;	// Alarmzeit_1 Sonnenaufgang
	uint8_t rise_al1_std;
	uint8_t set_al2_min;	// Alarmzeit_2 Sonnenuntergang
	uint8_t set_al2_std;

} MY_BUFFER; MY_BUFFER rtc_buf;
#endif /* MAIN_H_ */
